Subject: (urth) The Detestable Thor Power Tools Scandal

From: Christy <cglst7+ at pitt.edu>
Date: Wed, 12 Jan 2000 17:31:48 +0000

This post is a simple FYI:

http://www.alibris.com

I imagine a lot of you are already familiar with that url, but if you're
not, now you have no excuse. Alibris is a rare book engine that will get
you just about any book you can think of. The only matter is of edition
and price. So that, if you really HAVE to get *Bibliomen*...

				-C-

*More Wolfe info & archive of this list at http://www.urth.net/urth/